curl --request GET \
--url https://conduit.example.com/conduit.v1.ConduitService/ListSCIMTokens \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>'const options = {
method: 'GET',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://conduit.example.com/conduit.v1.ConduitService/ListSCIMTokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://conduit.example.com/conduit.v1.ConduitService/ListSCIMTokens"
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://conduit.example.com/conduit.v1.ConduitService/ListSCIMTokens")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://conduit.example.com/conduit.v1.ConduitService/ListSCIMTokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"tokens": [
{
"id": "<string>",
"label": "<string>",
"enabled": true,
"createdAt": 123,
"lastUsedAt": 123,
"identityProviderId": "<string>"
}
],
"baseUrl": "<string>",
"availableIdps": [
{
"id": "<string>",
"name": "<string>"
}
]
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}List SCIM tokens
List the workspace’s SCIM provisioning token metadata; bearer secrets are never returned
Requires the provisioning:read scope.
curl --request GET \
--url https://conduit.example.com/conduit.v1.ConduitService/ListSCIMTokens \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>'const options = {
method: 'GET',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://conduit.example.com/conduit.v1.ConduitService/ListSCIMTokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://conduit.example.com/conduit.v1.ConduitService/ListSCIMTokens"
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://conduit.example.com/conduit.v1.ConduitService/ListSCIMTokens")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://conduit.example.com/conduit.v1.ConduitService/ListSCIMTokens"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"tokens": [
{
"id": "<string>",
"label": "<string>",
"enabled": true,
"createdAt": 123,
"lastUsedAt": 123,
"identityProviderId": "<string>"
}
],
"baseUrl": "<string>",
"availableIdps": [
{
"id": "<string>",
"name": "<string>"
}
]
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol
1 Define the timeout, in ms
Query Parameters
Define which encoding or 'Message-Codec' to use
proto, json Specifies if the message query param is base64 encoded, which may be required for binary data
Which compression algorithm to use for this request
identity, gzip, br Define the version of the Connect protocol
v1 Response
Success
Show child attributes
Show child attributes
The base URL an IdP should point its SCIM connector at (e.g. https://conduit.example.com/scim/v2). Convenience for the settings UI.
The identity providers a new token may be bound to: the workspace's own IdPs, plus instance IdPs in single-workspace mode. Mirrors the server-side validation on CreateSCIMToken.
Show child attributes
Show child attributes
Was this page helpful?